## openhft-affinity 3.1.7

=== affinity/src/main/c/Makefile ===
#!/usr/bin/make -f
#
# Makefile for C code
#

# C sources to compile

TARGET_DIR := ../../../target/classes
TARGET := $(TARGET_DIR)/libCEInternals.so

WORKING_DIR := $(TARGET_DIR)/../jni

JAVA_CLASSES = software.chronicle.enterprise.internals.impl.NativeAffinity net.openhft.ticker.impl.JNIClock

JNI_STUBS := $(subst .,_,$(JAVA_CLASSES))
JNI_HEADERS := $(patsubst %,$(WORKING_DIR)/%.h,$(JNI_STUBS))
JNI_SOURCES := $(patsubst %,%.cpp,$(JNI_STUBS))
JNI_JAVA_SOURCES := $(patsubst %,$(TARGET_DIR)/%.class,$(subst .,/,$(JAVA_CLASSES)))

JAVA_BUILD_DIR := $(TARGET_DIR)

JAVA_HOME ?= /usr/java/default
JAVA_LIB := $(JAVA_HOME)/jre/lib
JVM_SHARED_LIBS := -L$(JAVA_LIB)/amd64/server -L$(JAVA_LIB)/i386/server  -L$(JAVA_LIB)/amd64/jrockit/ -L$(JAVA_LIB)/i386/jrockit/

CXX=g++
INCLUDES := -I $(JAVA_HOME)/include -I $(JAVA_HOME)/include/linux -I $(WORKING_DIR)

# classpath for javah
ifdef CLASSPATH
JAVAH_CLASSPATH = $(JAVA_BUILD_DIR):$(CLASSPATH)
else
JAVAH_CLASSPATH = $(JAVA_BUILD_DIR)
endif

.PHONY : clean

all: $(TARGET)

$(TARGET): $(JNI_HEADERS) $(JNI_SOURCES)
	$(CXX) -O3 -Wall -shared -fPIC $(JVM_SHARED_LIBS) -ljvm -lrt $(INCLUDES) $(JNI_SOURCES) -o $(TARGET)

$(JNI_HEADERS): $(JNI_JAVA_SOURCES)
	mkdir -p $(TARGET_DIR)/jni
	javah -force -classpath $(JAVAH_CLASSPATH) -d $(WORKING_DIR) $(JAVA_CLASSES)

clean:
	rm $(TARGET)

## openhft-affinity 2.2

=== debian/changelog ===
openhft-affinity (2.2-1) unstable; urgency=medium

  * Initial release (Closes: #825969)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 31 May 2016 23:26:30 +0200

=== debian/control ===
Source: openhft-affinity
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends: debhelper (>= 9), default-jdk, maven-debian-helper (>= 2.0)
Build-Depends-Indep: libintellij-annotations-java,
                     libjna-java,
                     libjna-platform-java,
                     libmaven-bundle-plugin-java,
                     libslf4j-java
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-java/openhft-affinity.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/openhft-affinity.git
Homepage: http://chronicle.software/products/thread-affinity/

Package: libopenhft-affinity-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Suggests: ${maven:OptionalDepends}
Description: OpenHFT Java Thread Affinity library
 The Thread Affinity library can increase applications performance by
 allowing threads to be bound to specific CPU cores. This is a benefit
 if the data is already on the cores L1 cache because it won't have
 to be reloaded. The OpenHFT Thread Affinity library is the ideal choice
 for writing low latency code.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=maven

override_dh_auto_install:
	dh_auto_install

	# Remove an unused pom
	rm -Rf debian/libopenhft-affinity-java/usr/share/maven-repo/net/openhft/Java-Thread-Affinity

get-orig-source:
	uscan --download-current-version --force-download --repack --compression xz

## openhft-affinity 3.1.7

=== debian/changelog ===
openhft-affinity (3.1.7-1ubuntu1) noble; urgency=medium

  * d/p/02-remove-java-lang.patch: fix Java 21 ftbfs by cherry-picking
    upstream patch that drops the obsolete functionality (LP: #2053099).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 15 Feb 2024 10:01:46 +1300

openhft-affinity (3.1.7-1) experimental; urgency=medium

  * Team upload to experimental.
  * New upstream release 3.1.7
  * Drop Java 9 compatibility patch no longer needed
  * Add build-dep on libmaven-antrun-plugin-java
  * Add build-dep on libexec-maven-plugin-java
  * Add patch to use "javac -h" instead of "javah" to address FTBFS
    of new upstream version with Java 10.

 -- tony mancill <tmancill@debian.org>  Sun, 09 Sep 2018 16:35:00 -0700

openhft-affinity (2.2-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #875332)
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 09 Mar 2018 13:04:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,21 @@
 Source: openhft-affinity
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Emmanuel Bourg <ebourg@apache.org>
-Build-Depends: debhelper (>= 9), default-jdk, maven-debian-helper (>= 2.0)
-Build-Depends-Indep: libintellij-annotations-java,
-                     libjna-java,
-                     libjna-platform-java,
-                     libmaven-bundle-plugin-java,
-                     libslf4j-java
-Standards-Version: 3.9.8
+Build-Depends:
+ debhelper (>= 11),
+ default-jdk,
+ libintellij-annotations-java,
+ libjna-java,
+ libjna-platform-java,
+ libmaven-antrun-plugin-java,
+ libmaven-bundle-plugin-java,
+ libexec-maven-plugin-java,
+ libslf4j-java,
+ maven-debian-helper (>= 2.0)
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/openhft-affinity.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/openhft-affinity.git
 Homepage: http://chronicle.software/products/thread-affinity/

=== debian/watch ===
version=3
https://github.com/OpenHFT/Java-Thread-Affinity/tags .*/affinity-([\d\.]+).tar.gz

## openhft-affinity 3.23.3

=== affinity/src/main/c/Makefile ===
#!/usr/bin/make -f
#
# Makefile for C code
#

# C sources to compile

TARGET_DIR := ../../../target/classes
TARGET := $(TARGET_DIR)/libCEInternals.so

WORKING_DIR := $(TARGET_DIR)/../jni

JAVA_CLASSES = software.chronicle.enterprise.internals.impl.NativeAffinity net.openhft.ticker.impl.JNIClock

JNI_STUBS := $(subst .,_,$(JAVA_CLASSES))
JNI_SOURCES := $(patsubst %,%.cpp,$(JNI_STUBS))

JAVA_BUILD_DIR := $(TARGET_DIR)

JAVA_HOME ?= /usr/java/default
JAVA_LIB := $(JAVA_HOME)/jre/lib
JVM_SHARED_LIBS := -L$(JAVA_LIB)/amd64/server -L$(JAVA_LIB)/i386/server  -L$(JAVA_LIB)/amd64/jrockit/ -L$(JAVA_LIB)/i386/jrockit/ -L$(JAVA_LIB)/ppc64le/server -L$(JAVA_LIB)/ppc64le/jrockit/ -L$(JAVA_HOME)/lib/server

CXX=g++
INCLUDES := -I $(JAVA_HOME)/include -I $(JAVA_HOME)/include/linux -I $(WORKING_DIR)

# classpath for javah
ifdef CLASSPATH
JAVAH_CLASSPATH = $(JAVA_BUILD_DIR):$(CLASSPATH)
else
JAVAH_CLASSPATH = $(JAVA_BUILD_DIR)
endif

.PHONY : clean

all: $(TARGET)

$(TARGET): $(JNI_SOURCES)
	$(CXX) -O3 -Wall -shared -fPIC $(JVM_SHARED_LIBS) -ljvm -lrt $(INCLUDES) $(JNI_SOURCES) -o $(TARGET)

clean:
	rm $(TARGET)

=== debian/changelog ===
openhft-affinity (3.23.3-1) unstable; urgency=medium

  * Team upload.

  [ Vladimir Petko ]
  * New upstream release 3.23.3 (Closes: #1053068).
  * d/maven.properties: do not build jni library.
  * d/control: update debhelper-compat to 13, Standards-Version to 4.6.2,
    Rule-Requires-Root: no, VCS links.
  * d/maven.ignoreRules: ignore chronicle-bom and chronicle-test-framework
    artifacts.
  * d/copyright: update copyrights.
  * Drop patches:
    - d/01-java9-compatibility.patch.

  [ tony mancill ]
  * Drop Java 9 compatibility patch
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.7.0

 -- tony mancill <tmancill@debian.org>  Mon, 02 Sep 2024 20:15:54 -0700

=== debian/control ===
Source: openhft-affinity
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 libintellij-annotations-java,
 libjna-java,
 libjna-platform-java,
 libmaven-bundle-plugin-java,
 libslf4j-java,
 maven-debian-helper (>= 2.0)
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/git/pkg-java/openhft-affinity.git
Vcs-Browser: https://salsa.debian.org/cgit/pkg-java/openhft-affinity.git
Homepage: http://chronicle.software/products/thread-affinity/
Rules-Requires-Root: no

Package: libopenhft-affinity-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Suggests: ${maven:OptionalDepends}
Description: OpenHFT Java Thread Affinity library
 The Thread Affinity library can increase applications performance by
 allowing threads to be bound to specific CPU cores. This is a benefit
 if the data is already on the cores L1 cache because it won't have
 to be reloaded. The OpenHFT Thread Affinity library is the ideal choice
 for writing low latency code.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --buildsystem=maven
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
https://github.com/OpenHFT/Java-Thread-Affinity/tags .*/Java-Thread-Affinity-([\d\.]+).tar.gz
